/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)LGPL2+
 *
 * Nde - a lightweight, Qt based, desktop toolset
 * https://lxqt.org
 *
 * Copyright: 2020 Nde team
 * Authors:
 *   Hong Jen Yee (PCMan) <pcman.tw@gmail.com>
 *
 * This program or library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * END_COMMON_COPYRIGHT_HEADER */

#include <Nde/Globals>
#include <Nde/SingleApplication>
#include <QCommandLineParser>
#include "mainwindow.h"
#include <QDesktopWidget>

int main(int argc, char **argv)
{
    Nde::SingleApplication app(argc, argv);
    app.setAttribute(Qt::AA_UseHighDpiPixmaps, true);

    QCommandLineParser parser;
    parser.setApplicationDescription(QStringLiteral("Nde Admin User"));
    const QString VERINFO = QStringLiteral(NDE_ADMIN_VERSION \
                                           "\nnde-lib   " NDE_VERSION\
                                           "\nQt        " QT_VERSION_STR);
    app.setApplicationVersion(VERINFO);
    parser.addVersionOption();
    parser.addHelpOption();
    parser.process(app);

    MainWindow window;
    window.setWindowIcon(QIcon::fromTheme(QSL("preferences-system")));
    app.setActivationWindow(&window);
    window.show();

    QDesktopWidget *desk = QApplication::desktop();
    QRect deskRect = desk->availableGeometry();
    window.move((deskRect.width()-window.width())/2,(deskRect.height()-window.height())/2);

    return app.exec();
}
